<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/top_bg.gif');" >
  <tr>
    <td valign="top" height="100">
	<div style="height:1px;width:780px;"></div>	
	<table width="100%" height="100" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="70"><div style="height:12px;width:70px;"><span></span></div></td>
        <td width="200">
		<!-- LOGO -->
          <table cellpadding="0" cellspacing="0">
          <tr>
            <td rowspan="2" align="right" style="padding-right:5px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="left" valign="bottom" class="company">
			   <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
			</td>
          </tr>
          <tr>
            <td align="left" valign="top" class="slogan">
			   <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			</td>
          </tr>
        </table>
		<!-- END LOGO -->
        <div style="height:1px;width:200px;"><span></span></div></td>
        <td align="left" width="100%">
		<!-- MENU -->
          <table cellpadding="0" cellspacing="0" align="left">
            <tr>
               <xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
          <!-- END MENU -->
		  </td>
      </tr>
    </table>
      </td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
      <tr>
        <td width="437" height="39" colspan="3"><div style="height:39px;width:437px;background-image: url('images/header_topbg.gif');"><span></span></div></td>
        <td colspan="2" align="right" style="background-image: url('images/txt_topbg02.gif'); background-position: right; background-repeat: repeat-x;"><img src="images/txt_topbg03.gif" width="43" height="39" /> </td>
      </tr>
      <tr>
        <td width="53" valign="top"  style="background-image: url('images/header_leftbg.gif');background-repeat: repeat;"><div style="height:1px;width:53px;"></div></td>
        <td width="339" align="center" valign="top" bgcolor="#FFFFFF" ><br/>
            <table  border="0" cellspacing="0" cellpadding="0" >
              <tr>
                <td align="left" ><img src="images/header.jpg" /></td>
              </tr>
            </table>
            <br/>
            <table width="339" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center"><!-- SUBMENU -->
                    <table cellpadding="0" cellspacing="0" width="315">
                      <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                    </table>
                    <!-- END SUBMENU -->
                </td>
              </tr>
            </table>
            <br/>
        </td>
        <td width="45" height="100%" align="right" valign="top"  style="background-image: url('images/submenu_topbg.gif');background-position: right; background-repeat: repeat;">
          <table height="100%" width="45" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td valign="top">
				<table width="100%" height="274" border="0" cellpadding="0" cellspacing="0">
				<tr>
				<td style="background-image: url('images/header_righttopbg.gif');background-repeat: repeat-y;"></td>
				</tr>
				</table>
		  </td>
            </tr>
            <tr>
              <td valign="bottom">
		<table width="100%" height="184" border="0" cellpadding="0" cellspacing="0">
			<tr>
			  <td style="background-image: url('images/submenu_rightbg.gif');background-repeat: repeat-y;"></td>
			</tr>
		</table>
			  </td>
            </tr>
          </table>		
		</td>
        <td width="100%" align="left" valign="top" bgcolor="#FFFFFF" style="padding-right:20px;background-image: url('images/txt_mainbg.gif'); background-position: left; background-repeat: repeat-y;"><br/>
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="text-header" style="padding-left:15px;"><img src="images/txtheader_bullet.gif" /></td>
              </tr>
            </table>
            <table border="0" cellspacing="0" cellpadding="0" width="100%">
              <tr>
                <td class="pageContent" name="SB_stretch" width="100%" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
              </tr>
            </table>
            <br/>
        </td>
        <td width="43" style="background-image: url('images/txt_rightbg.gif'); background-position: right; background-repeat: repeat-y;"><div style="height:25px;width:43px;"></div></td>
      </tr>
      <tr>
        <td colspan="3" valign="top" style="background-image: url('images/foot_leftbg.gif'); background-position: left; background-repeat: no-repeat;"><table width="100%" height="92px" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td valign="top" class="pagefoot" style="padding-left:53px;">01</td>
            </tr>
        </table></td>
        <td colspan="2" valign="top"><table width="100%" height="92px" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td valign="top" style="background-image: url('images/txt_bottombg02.gif'); background-position: left; background-repeat: repeat-x;"><table width="100%" height="92px" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td valign="top" style="background-image: url('images/txt_bottombg01.gif'); background-position: left; background-repeat: no-repeat;">
					<table width="100%" height="92px" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td align="right" valign="top" class="pagefoot" style="background-image: url('images/txt_bottombg03.gif'); background-position: right; background-repeat: no-repeat;">
						  <div align="right" style="padding-right:43px;">02</div>
                            <br/>
                            <br/>
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
						<td align="right">
						<div align="right" class="footer" style="padding-right:30px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						</td>
						</tr>
						</table>
						</td>
                        </tr>
                    </table>
					</td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50" valign="top"></td>
  </tr>
</table>
	<!--sw_sb_ms-->
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<!--2222222-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		   <tr>
		        <td height="20" style="width: 15px;"></td>
                <td width="270" height="20" style="padding-left: 1px; align:left;"><span class="asubmenu">
				    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
				</td>
                <td width="30" height="20" align="center" class="submenu-bg" style="padding-left: 1px;">
<xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
              
		   </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			  <tr>
                <td height="20" style="width: 15px;"></td>
                <td width="270" height="20" style="padding-left: 1px; align:left;"><a href="{@HREF}" class="submenu">
				    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td width="30" height="20" align="center" style="padding-left: 1px;" class="submenu-bg1">
<xsl:if test="position()&lt;10">0</xsl:if>
<xsl:value-of select="position()"/>
</td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		  <tr>
                <td colspan="3" height="10"><div class="menu-hr" style="height:1px;"><span></span></div></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		     <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>    
        </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			   <td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			 <td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
