<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD colspan="2" width="780" height="123" valign="bottom" style="background-color: white; background-image:  url('images/menu_bg.gif'); background-repeat: no-repeat;">
        		<!-- MENU -->
        			<!-- CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="263" valign="top">
        		<xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" align="right" style="margin-top: 107px;" width="10">
        				<tr>
        					<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        					<td>
        						<table cellpadding="0" cellspacing="0">
        							<tr>
        								<td><img src="images/logo_tl.gif"/></td>
        								<td width="100%" bgcolor="FF0000"></td>
        								<td><img src="images/logo_tr.gif"/></td>
        							</tr>
        							<tr>
        								<td bgcolor="FF0000"></td>
        								<td bgcolor="FF0000">
        								<font class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></font><br/>
        								<font class="slogan"><span style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></span><nobr><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></nobr></font>
        								</td>
        								<td bgcolor="FF0000"></td>
        							</tr>
        							<tr>
        								<td><img src="images/logo_bl.gif"/></td>
        								<td bgcolor="FF0000"></td>
        								<td><img src="images/logo_br.gif"/></td>
        							</tr>
        						</table>
        					</td>
        				</tr>
        			</table>
        		<!-- END LOGO -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2"><img src="images/bg.gif"/></TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="527" height="100%" class="main-bg">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="420" align="center">
        				<tr><td class="text-header" align="right"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="420" align="right">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        		<TD valign="top" width="253" height="100%" class="main-bg">
        		<!-- SUBMENU -->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD height="117" class="main-bg"></TD>
        		<TD class="footer-bg" align="right" style="background-image: url('images/footer_bg.gif'); background-position: top right; background-repeat: no-repeat;">
       				<!-- FOOTER -->
       					<font class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></font>
       				<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>

		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" height="80" border="0">
   			<tr>
   				<td width="30"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
				<td width="253"></td>
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
       			<table cellpadding="0" cellspacing="0" width="160" align="center">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
       			<table cellpadding="0" cellspacing="0" width="160" align="center">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
