<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="296" background="images/h1.jpg" style="padding-left:70px;">
	<!-- LOGO -->
	<table width="200"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</div></td>
        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
      </tr>
      <tr>
        <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
      </tr>
    </table>
	<!-- END LOGO -->	
	</td>
    <td valign="top" background="images/bg.jpg"><div align="right"><img src="images/header.jpg" width="484" height="256"/></div></td>
  </tr>
  <tr>
    <td valign="top"><img src="images/001.gif" width="296" height="49"/></td>
    <td width="100%" bgcolor="#D50042">
	   <!-- MENU -->	
	<table border="0" align="left" cellpadding="0" cellspacing="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
      <td width="20" class="menu"></td>
      </tr>
    </table>
	   <!-- END MENU -->	
	</td>
  </tr>
  <tr>
    <td valign="top"><img src="images/002.gif" width="296" height="28"/></td>
    <td background="images/002_1.gif"><div align="right"><img src="images/002_2.gif" width="368" height="28"/></div></td>
  </tr>
  <tr>
    <td valign="top" class="content">
	<!-- SUBMENU -->
      <table width="290" border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
    </table>
	<!-- END SUBMENU -->
	</td>
    <td height="100%" valign="top" class="content">
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="pageContent">
      <tr>
        <td name="SB_stretch">
		<!-- CONTENT -->
		<table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
              <td class="icon"><img src="images/003.gif" alt="" width="17" height="17" border="0"/></td>
            </tr>
          </table>
<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
      </tr>
    </table>
	<!-- END CONTENT -->
	</td>
  </tr>
  <tr>
    <td colspan="2" class="content">
	<!-- BOTTOM MENU -->
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="50%"></td>
        <td width="216"><img src="images/005.gif" width="216" height="133"/></td>
        <td width="50%"><!-- FOOTER -->
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
              </tr>
            </table>
            <!-- END FOOTER -->
        </td>
      </tr>
    </table>
	<!-- END BOTTOM MENU -->
	</td>
  </tr>
</table>
</center>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	  <tr>
        <td class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
        <td class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
      <tr>
        <td><div align="center"><img src="images/004.gif" width="209" height="17"/></div></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
           </xsl:when>
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
