<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" class="alltable" style="background-image: url('images/alltable_bgrpt.png'); background-repeat: no-repeat;">
        <tr>
        <td rowspan="2" valign="top" bgcolor="#ffffff">
        	<div style="width:188px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="172">
        	<td class="logo-bg" style="padding-bottom:20px; background-image: url('images/logo_bg.jpg'); background-repeat: no-repeat;">
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
        		<tr>
        		<td align="center" style="padding-bottom:3px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        		</tr>
        		<tr>
        		<td align="center">
        			<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        			<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	<tr>
        	<td style="padding:105px 16px 0px 21px;">
        		<!--2ndmenu /-->
        			<!-- CALL SUB-MENU -->
        			<xsl:call-template name="SUB-MENU">
        				<xsl:with-param name="pageID" select="@ID"/>
        			</xsl:call-template>
        		<!--/ 2ndmenu-->
        	</td>
        	</tr>
        	<tr height="174">
        	<td style="background-image:url(images/second_bottom.gif); background-position: top left; background-repeat: no-repeat;"></td>
        	</tr>
        	</table>
        </td>
        <td class="visual-bg" valign="top" width="100%" style="background-image: url('images/top.png'); background-repeat: no-repeat;">
        	<div style="width:581px; height:0;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%">
        	<tr height="52">
        	<td align="center">
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        	</td>
        	</tr>
        	<tr height="200">
        	<td valign="top">
        		<!--variate this! /-->
        		<div style="position:relative; z-index:9000; margin-top:-21px;"><img src="images/top_top.png" width="581" height="21" border="0" alt=""/></div>
        		<!--/ variate this!-->
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
        		<tr height="214">
        		<td></td>
        		</tr>
        		<tr>
        		<td class="pageheader" style="background-image: url('images/pageheader_mark.gif'); background-position: center left; background-repeat: no-repeat;">
        			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        		</td>
        		</tr>
        		<tr>
        		<td class="thatext">
        			<xsl:apply-templates select="PAGE-CONTENT"/>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="86">
        <td style="background-color: #ffffff; background-image: url(images/theend.gif); background-position: bottom left; background-repeat: no-repeat; padding:0px 10px 51px 32px;" valign="bottom">
        	<!--bottommenu /-->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        	<!--/ bottommenu-->
        	<table cellpadding="0" cellspacing="0" border="0" height="16" style="margin-top:5px;">
        	<tr>
        	<td class="copy">
        		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        	</td>
        	</tr>
        	</table>
        </td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0" height="52">
   		<tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
   		</tr>
   		</table>
	</xsl:template>

	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        		<table cellpadding="0" cellspacing="0" border="0" height="38">       			
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        		<table cellpadding="0" cellspacing="0" border="0" height="38">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
       	<table cellpadding="0" cellspacing="0" border="0">
       	<tr>
			<xsl:apply-templates select="MENU" mode="bottom"/>			
       	</tr>
       	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		        	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		        	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </xsl:when>
                <xsl:otherwise>
		        	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
		       	<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"></td>
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
