<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">

        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="alltable">
        <tr height="158">
        <td width="50%" class="color-stripes-l" align="right" style="background-image: url('images/color_stripes.gif'); background-position: top right;"><div class="color"><spacer/></div></td>
        <td colspan="3" class="top" style="padding:0px 0px 34px 30px; background-image: url('images/top.jpg'); background-repeat: no-repeat;">
        	<table cellpadding="0" cellspacing="0" border="0">
        	<tr align="center">
        	<td style="padding-right:3px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        	<td>
        		<div class="mycompany"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        		<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	</tr>
        	</table>
        </td>
        <td width="50%" class="color-stripes-r" style="background-image: url('images/color_stripes.gif');">
        	<table cellpadding="0" cellspacing="0" border="0" width="18" height="158">
        	<tr>
        	<td style="background-image:url(images/noga_top.gif); background-position: top left; background-repeat: no-repeat;"></td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="100%">
        <td class="color"></td>
        <td style="background-image: url('images/inner_stripes.gif');">
        	<div style="width:21px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="border-left:1px solid #ffffff; border-top:1px solid #ffffff; border-bottom:1px solid #ffffff;">
        	<tr><td></td></tr>
        	</table>
        </td>
        <td valign="top" class="second-bgrpt" style="background-image: url('images/second_bgrpt.gif'); background-repeat: repeat-y;">
        	<div style="width:181px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
        	<tr>
        	<td class="menu-bgrpt" style="background-image: url('images/menu_bgrpt.gif'); background-repeat: repeat-y;">
        		<table cellpadding="0" cellspacing="0" border="0" width="100%">
        		<tr>
        		<td style="background-image:url(images/menu_bg.jpg); background-position: top left; background-repeat: no-repeat; padding:0px 21px 22px 19px;">
        			<div style="position:relative; x-index:9999; margin-top:-6px;">
        			<!-- CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>
        			</div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	<tr height="100%">
        	<td>
        		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="second-topvisual" style="background-image: url('images/visual_top.gif'); background-repeat: no-repeat;">
        		<tr>
        		<td><div style="width:0px; height:201px;"><spacer/></div></td>
        		<td class="second-bottommenu-top" valign="top" style="background-image: url('images/visual_bottom_menu.gif'); background-position: bottom left; background-repeat: no-repeat;">
        			<!--2ndmenu /-->
        				<!-- CALL SUB-MENU -->
        				<xsl:call-template name="SUB-MENU">
        					<xsl:with-param name="pageID" select="@ID"/>
        				</xsl:call-template>
        			<!--/ 2ndmenu-->
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	</table>
        </td>
        <td valign="top" style="background-image: url('images/top_text.jpg'); background-position: top right; background-repeat: no-repeat;">
        	<div style="width:517px; height:0px;"><spacer/></div>
        	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="top-right">
        	<tr height="28">
        	<td>
        		<table cellpadding="0" cellspacing="0" border="0" height="28">
        		<tr>
        		<td class="pageheader">
        			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        		</td>
        		<td style="background-image:url(images/pageheader_mark.gif); background-position: top left; background-repeat: no-repeat">
        			<div style="width:20px; height:0px;"><spacer/></div>
        		</td>
        		</tr>
        		</table>
        	</td>
        	</tr>
        	<tr>
        	<td class="thatext">
        		<!--nado/--><img src="images/blank.gif" width="204" height="25" border="0" alt="" align="right"/><!--/-->
        		<xsl:apply-templates select="PAGE-CONTENT"/>
        	</td>
        	</tr>
        	</table>
        </td>
        <td class="color" valign="top">
        	<table cellpadding="0" cellspacing="0" border="0" width="13" height="13">
        	<tr>
        	<td style="background-image:url(images/noga_bottom.gif); background-position: top left; background-repeat: no-repeat;"></td>
        	</tr>
        	</table>
        </td>
        </tr>

        <tr height="35">
        <td class="color-stripes-l" align="right" style="background-image: url('images/color_stripes.gif'); background-position: top right;"><div class="color"><spacer/></div></td>
        <td class="bottommenu-bgcolor"></td>
        <td class="second-bottommenu" style="background-image: url('images/visual_bottom.gif'); background-position: bottom left; background-repeat: no-repeat;"></td>
        <td class="bottommenu-bg" align="center" style="background-image: url('images/bottommenu_bg.gif');">
        	<!--bottommenu /-->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        	<!--/ bottommenu-->
        </td>
        <td class="color-stripes-r" align="left" style="background-image: url('images/color_stripes.gif');"><div class="color"><spacer/></div></td>
        </tr>

        <tr height="35">
        <td class="color" valign="top"></td>
        <td colspan="3" class="copy">
        	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
        </td>
        <td class="color" valign="top"></td>
        </tr>
        </table>

        </body>
		</html>

	</xsl:template>


	<!--TOP-MENU-->

				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<xsl:apply-templates select="MENU" mode="top"/>
       	</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
       			<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
       			<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
       	<table cellpadding="0" cellspacing="0" border="0">
       	<tr>
			<xsl:apply-templates select="MENU" mode="bottom"/>			
       	</tr>
       	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		        	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		        	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                </xsl:when>
                <xsl:otherwise>
		        	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
		       	<td class="bottommenudivider" style="background-image: url('images/bottommenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"></td>
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
